%ext ck3

%version 1.31
%patchfile 0x198C8 Mart3.tli

#Satus Screen
%patch $1BAF8 "SCORE"
%patch $1BB02 "EXTRA MART AT"
%patch $1BB19 "MARTS"
%patch $1BB2A "PISTOL"
%patch $1BB3D " CRYSTAL "
%patch $1BB4C "KEYCARDS "
%patch $1BB68 "PLEASE PRESS A KEY"
%patch $1C7CA "Marts Left"

#Loading Screen
%patch $1BBA7 "Loading Martinez McMeyer part 3...                     "
%patch $1BBDF "Joystick detected"
%patch $1BBF1 "Joystick not detected"
%patch $1BC2D "EGA card detected"
%patch $1BC3F "VGA card detected"

#Menu
%patch $1C7D8 "New Game"
%patch $1C7E5 "Continue Game"
%patch $1C7F7 "Story"
%patch $1C801 "About Me..."
%patch $1C811 "High Scores"
%patch $1C821 "No Order     "
%patch $1C833 "Previews "
%patch $1C841 "Restart Demo"
%patch $1C850 "Use the " $00 "arrows"

#Vortimom don't push Keen
%patch $3CEF $01     #Change type
%patch $46D2 $3D $01  #But can still shoot	

#Vortimom immortal
%patch $3D17 $6A00W

#Vortimom's shots kill enemies, but not Keen
%patch $4549 $0F

%patch $5B8A $E9 $0148W 
#No flashes

#Don't play sound
%patch $5712 $90 $90 $90

%patch $48C9 $90 
#Keen wins the level

#Don't show sprites

%patch $5A86 $42     
#Don't show Vorticon

%patch $5A9D $2B     
#Don't show Keen

#Vortikid pushes, doesn't stun Keen
%patch $3C8D $04

#Meep takes 35 shots to kill, wins game when shot
%patch $3D84 $0023W #Strength
%patch $48C9 $90 #Keen wins the level (if level 16, wins game)

#No MM text boxes
%patch $85D5 $90 $90 $90

#Points you get for shooting a spark (10'000)
%patch $4E44 $2710W 

#Finale
%patch $1C36D "After beating Oppressor Keen   "
%patch $1C395 "Martinez McMeyer returned to the    "
%patch $1C3BB "Miracle Machine with his friends.     "
%patch $1C3E3 "Yeah, no more terrorizing!            "

%patch $1C40B "Martinez McMeyer, for beating    "
%patch $1C433 "the evil and saving the parallel      "
%patch $1C45B "universe,                            "

%patch $1C482 "we would like to thank you and accept "
%patch $1C4AA "our highest suprise, the Golden X"
%patch $1C4D2 "trophy.                   "

#External text files
%patchfile $18BC5 "STORYTXT.CK3" #Make an external story files, max size 2.9KB
%patchfile $179D0 "HELPTEXT.CK3" #Make an external helptext file (Max len 2000 chars)
%patchfile $184DD "PREVIEWS.CK3" #Make external preview text file [file size 1776 chars max]
%patchfile $181A0 "ENDTEXT.CK3" #End text (Max len 832 chars)

#Ordering Info
%patch $1CBF2 "                               "
%patch $1CC16 "                                  "
%patch $1CC42 "                         "
%patch $1CC61 "                                  "
%patch $1CC87 "                                   "
%patch $1CCAE "                                   "
%patch $1CCD5 "                                 "
%patch $1CCFA "                           "
%patch $1CD19 "               "
%patch $1CD2D "               "
%patch $1CD3F "               "
%patch $1CD53 "                "
%patch $1CD66 "               "
%patch $1CD7A "                  "
%patch $1CD8F "                 "
%patch $1CDA3 "             "
%patch $1CDB3 "                                        "
%patch $1CDE0 "                                  "

#About ID
%patch $1C870 "I have been a PCKF member since   "
%patch $1C898 "2009. My goal is to bring this   "
%patch $1C8C0 "mod to a parallel universe and"
%patch $1C8E8 "present the         "
%patch $1C910 "alternative hero called Martinez"
%patch $1C938 "McMeyer, who has to defend this    "
%patch $1C960 "universe and defeat his   "
%patch $1C988 "enemy, Oppressor Keen. "
%patch $1C9B0 "                             "
%patch $1C9D8 "But can he defend the universe?  "
%patch $1CA00 "It'll come to light!     "

#Ship Messages
%patch $1CE04 "Don't stand about now!         "
%patch $1CE25 "You must find Oppressor Keen"
%patch $1CE43 "or the universe is toast!     "
%patch $1CE63 "                    "

%patch $1CE78 "Have a rest a bit, but after  "
%patch $1CE98 "that make your way for       "
%patch $1CEB7 "Oppressor Keen!               "

%patch $1CED6 "Giving your quest up might be  "
%patch $1CEF7 "risky as Oppressor Keen is"
%patch $1CF13 "ready to destroy the universe.  "
%patch $1CF35 "                           "

%patch $1CF51 "It's okay if you want to    "
%patch $1CF6F "stay here, but don't forget    "
%patch $1CF90 "about beating Oppressor   "
%patch $1CFAC "Keen!                      "

#Foob don't run from Keen
%patch $4A9C $EB

#Items Cheat
%patch $1BA9E "You are cheating!    "
%patch $1BAB5 "You got all the     "
%patch $1BACB "keycards, and a lots  "
%patch $1BAE3 "of nuclear ammo."

#Vortininja strength - 2
%patch $3DE6 $01 $00

#Vortininja don't jump at Keen (Frees $4988-$49CC)
%patch $4984 $8B $E5 $5D $C3

#Don't play sound
%patch $5D8B $90 $90 $90

#Messie level
%patch $8AB2 $0050W

#Vortikid don't jump
%patch $434D $EB

%end